{pkgs, ...}: {
  home.packages = with pkgs; [
    psmisc
  ];
  wayland.windowManager.hyprland.settings = {
    exec = [
      # "pkill -x hyprpaper; uwsm app -- hyprpaper"
      "killall -SIGUSR2 .ghostty-wrappe"
    ];
    exec-once = [
      "[workspace special:preload silent] uwsm app -- firefox"
      "[workspace special:preload silent] uwsm app -- firefox -P YouTube"
      "[workspace special:preload silent] uwsm app -- xdg-terminal-exec"

      "uwsm app -- waybar"
      "uwsm app -- hyprpaper"
      "uwsm app -- elephant"
      "uwsm app -- swayosd-server"
      "uwsm app -- pywalfox start"
      "uwsm app -- pywalfox start"
      "uwsm app -- hypridle"

      "walker --gapplication-service"

      "sh -c 'sleep 2.5; hakase-workspace-switch-force 1'"

      "[workspace 1] uwsm app -- ghostty -e bash -c 'fastfetch; exec $SHELL'"
      "[workspace special:steam silent] uwsm app -- steam"
    ];
  };
}
